%define anolis_release 3

# perform 'make check' by default
%bcond_without check

Name:		automake
Version:	1.16.5
Release:	%{anolis_release}%{?dist}
Summary:	A program which creates Makefiles from template files.

# docs ~> GFDL, sources ~> GPLv2+, mkinstalldirs ~> PD and install-sh ~> MIT
License:	GPLv2+ and GFDL and Public Domain and MIT
URL:		http://www.gnu.org/software/automake/
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz

BuildRequires:	autoconf
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	help2man
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl(Thread::Queue)
BuildRequires:	perl(threads)
BuildArch:	noarch

%if %{with check}
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cscope
BuildRequires:	dejagnu
BuildRequires:	emacs
BuildRequires:	expect
BuildRequires:	flex
BuildRequires:	gcc-gfortran
BuildRequires:	gettext-devel
BuildRequires:	java-devel
BuildRequires:	libtool
BuildRequires:	ncompress
BuildRequires:	sharutils
BuildRequires:	vala
%endif

Requires:   autoconf >= 2.65

# requirements not detected automatically (#919810)
Requires:   perl(Thread::Queue)
Requires:   perl(threads)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Automake::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Automake::


%description
Automake is a tool for automatically generating `Makefile.in` files
compliant with the GNU Coding Standards.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
%if %{with check}
autoreconf -iv
%endif

%build
%configure
%make_build
make %{?_smp_mflags}
cp m4/acdir/README README.aclocal
cp contrib/multilib/README README.multilib

%check
%if %{with check}
make -k %{?_smp_mflags} check  || ( cat ./test-suite.log ; false )
%endif

%install
make install DESTDIR=%{buildroot}

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%doc %{_pkgdocdir}/amhello-1.0.tar.gz
%exclude %{_infodir}/dir
%exclude %{_datadir}/aclocal
%{_bindir}/*
%{abidir}/%{name}*-option.list
%{_infodir}/*.info*
%{_mandir}/man1/*
%{_datadir}/automake-*
%{_datadir}/aclocal-*
%{abidir}/aclocal*-option.list

%files doc
%doc AUTHORS README THANKS NEWS README.aclocal README.multilib

%changelog
* Mon Jan 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.16.5-3
- add doc package and abi files

* Thu Jul 28 2022 happy_orange <songnannan@linux.alibaba.com> - 1.16.5-2
- Add requires because requirements not detected automatically

* Fri May 20 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.16.5-1
- Initial packaging for Anolis OS 23